Learn about Centmin Mod LEMP Stack today
Register Now

Couple of errors in php

Discussion in 'Install & Upgrades or Pre-Install Questions' started by cloud9, Dec 23, 2021.

  1. cloud9

    cloud9 Premium Member Premium Member

    219
    67
    28
    Oct 6, 2015
    England
    Ratings:
    +103
    Local Time:
    10:38 AM
    1.21.5
    10.3.32
    Please fill in any relevant information that applies to you:
    • CentOS Version: 7.x
    • Centmin Mod Version Installed: 123.09beta01
    • Nginx Version Installed: 1.17
    • PHP Version Installed: 8.1.1
    • MariaDB MySQL Version Installed: i.e. 10.0.x or 10.1.xx or 10.2.xx
    • When was last time updated Centmin Mod code base ? : new install
    • Persistent Config: No
    Failed loading /usr/local/lib/php/extensions/no-debug-non-zts-20210902/ioncube.so: /usr/local/lib/php/extensions/no-debug-non-zts-20210902/ioncube.so: cannot open shared object file: No such file or directory

    PHP Warning: Cannot load module "redis" because required module "igbinary" is not loaded in Unknown on line 0

    PHP 8.1.1 (cli) (built: Dec 22 2021 17:21:29) (NTS)


    Copyright (c) The PHP Group

    Zend Engine v4.1.1, Copyright (c) Zend Technologies

    with Zend OPcache v8.1.1, Copyright (c), by Zend Technologies
     
  2. eva2000

    eva2000 Administrator Staff Member

    47,843
    10,916
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +16,956
    Local Time:
    8:38 PM
    Nginx 1.21.x
    MariaDB 10.x
    Yeah don't think Ioncube supports PHP 8.1 yet. IonCube loader 11.0 supports PHP 7.4 max according to Loader Download - PHP Encoder, protection, installer and performance tools from ionCube

     
  3. eva2000

    eva2000 Administrator Staff Member

    47,843
    10,916
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +16,956
    Local Time:
    8:38 PM
    Nginx 1.21.x
    MariaDB 10.x
    For that centmin.sh menu option 13 submenu option 2 to recompile redis should suffice